#!/bin/bash


#	The script below runs a port scan on all possible ports, outputs to xml
#	It then uses xsltproc to convert the xml to HTML so you can read it in your browser.
#	Please use the command nmap -h in your Linux terminal to understand what each command means.

#	You must  update [target] with the IP/domain of yor target (including the brackets). 
#	You must  update [nmap-xml-file-name.xml] with the name you want for the output file.
#	Below is an example of a functional command.
#	nmap -A -v -Pn -p 0-65535 192.168.1.1 -oX home.xml && xsltproc home.xml-o home.html



nmap -A -v -Pn -p 0-65535 [target] -oX [nmap-xml-file-name.xml] && xsltproc [nmap-xml-file-name.xml] -o [new-file-name-in-html.html]

#End